Bug 1990693 - [abrt] exaile: on_location_changed(): collection.py:470:on_location_changed:gi.repository.GLib.GError: g-io-error-quark: Fehler beim Holen der Informationen für Datei »/home/yala/Musik/Ardour/Power Hour/Power Hour.tmp«: Datei oder Verzeichnis nicht ...
Summary: [abrt] exaile: on_location_changed(): collection.py:470:on_location_changed:g...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Graham White
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:132bad04639d29e384aaf5769be...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-06 02:26 UTC by Jon Richter
Modified: 2021-09-15 18:20 UTC (History)
4 users (show)

Fixed In Version: exaile-4.1.1-6.fc34 exaile-4.1.1-6.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-09 13:07:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (984 bytes, text/plain)
2021-08-06 02:26 UTC, Jon Richter
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2021-08-06 02:26 UTC, Jon Richter
no flags Details
File: environ (6.06 KB, text/plain)
2021-08-06 02:26 UTC, Jon Richter
no flags Details
File: mountinfo (3.14 KB, text/plain)
2021-08-06 02:26 UTC, Jon Richter
no flags Details
File: namespaces (172 bytes, text/plain)
2021-08-06 02:26 UTC, Jon Richter
no flags Details
File: open_fds (40.43 KB, text/plain)
2021-08-06 02:26 UTC, Jon Richter
no flags Details

Description Jon Richter 2021-08-06 02:26:29 UTC
Version-Release number of selected component:
exaile-4.1.1-3.fc34

Additional info:
reporter:       libreport-2.15.2
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-exaile-63119.scope
cmdline:        exaile '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: on_location_changed
exception_type: gi.repository.GLib.GError
executable:     /usr/share/exaile/exaile.py
interpreter:    exaile-4.1.1-3.fc34.noarch
kernel:         5.13.4-200.fc34.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
collection.py:470:on_location_changed:gi.repository.GLib.GError: g-io-error-quark: Fehler beim Holen der Informationen für Datei »/home/yala/Musik/Ardour/Power Hour/Power Hour.tmp«: Datei oder Verzeichnis nicht gefunden (1)

Traceback (most recent call last):
  File "/usr/share/exaile/xl/collection.py", line 470, in on_location_changed
    fileinfo = gfile.query_info(
gi.repository.GLib.GError: g-io-error-quark: Fehler beim Holen der Informationen für Datei »/home/yala/Musik/Ardour/Power Hour/Power Hour.tmp«: Datei oder Verzeichnis nicht gefunden (1)

Local variables in innermost frame:
self: <collection.LibraryMonitor object at 0x7f30a19a12c0 (xl+collection+LibraryMonitor at 0x555a4d046840)>
monitor: <__gi__.GInotifyFileMonitor object at 0x7f309863e0c0 (GInotifyFileMonitor at 0x7f306002bd00)>
other_gfile: None
event: <enum G_FILE_MONITOR_EVENT_CREATED of type Gio.FileMonitorEvent>
gfile: <__gi__.GLocalFile object at 0x7f309869ddc0 (GLocalFile at 0x555a4d0aa660)>

Comment 1 Jon Richter 2021-08-06 02:26:32 UTC
Created attachment 1811324 [details]
File: backtrace

Comment 2 Jon Richter 2021-08-06 02:26:33 UTC
Created attachment 1811325 [details]
File: cpuinfo

Comment 3 Jon Richter 2021-08-06 02:26:35 UTC
Created attachment 1811326 [details]
File: environ

Comment 4 Jon Richter 2021-08-06 02:26:36 UTC
Created attachment 1811327 [details]
File: mountinfo

Comment 5 Jon Richter 2021-08-06 02:26:38 UTC
Created attachment 1811328 [details]
File: namespaces

Comment 6 Jon Richter 2021-08-06 02:26:39 UTC
Created attachment 1811329 [details]
File: open_fds

Comment 7 Graham White 2021-08-07 15:00:06 UTC
Do you have any more information on how to reproduce this?  I've not managed to hit this bug on my machine but I have now seen a couple of ABRT reports now about it.  Some indication about what you were doing at the time would be very useful.

Comment 8 Jon Richter 2021-08-09 12:50:02 UTC
Hi Graham,

thank you for having a look at this. It happened when trying to access a '.tmp' file that had already been deleted by another process.

This happened when working with Exaile 4.1.1 in a directory with music files, which were parallely edited in Ardour 6.8.0.

Eventually I have switched the directory (... location changed ... from the error message) and tried listing its files.

Apparently Ardour would create '.tmp' files next to its project files, and delete them when not needed anymore.

This may have happened after Exaile picked up the file through its INotify monitor, but after it was already deleted.

Please let me know if I should take an extended effort to reproduce the problem.

Kindest,

Jon

Comment 9 Graham White 2021-08-09 12:53:33 UTC
Jon,

OK, that's great.  Thanks for the extra information.

What you've said supports what my thinking was having taken a brief look at the code.  I'm not an Exaile developer, just the new packager for Fedora, so I'm not entirely sure how to fix this issue myself.  Needless to say, this is an upstream issue.  I will go ahead and raise a bug with Exaile upstream (on GitHub) and link back to that in this report soon.  If you're available to participate in the upstream bug report on GitHub then I think that would be extremely helpful to the developers.

Regards,

Graham

Comment 10 Graham White 2021-08-09 13:07:04 UTC
I've raised the bug upstream at https://github.com/exaile/exaile/issues/764

Let's continue the conversation over there.  Many thanks for reporting and hope to have your continued involvement so we can get a good fix!

Comment 11 Fedora Update System 2021-09-08 08:23:09 UTC
FEDORA-2021-d7fcef98b8 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d7fcef98b8

Comment 12 Fedora Update System 2021-09-08 09:25:47 UTC
FEDORA-2021-cf81a5c8ba has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cf81a5c8ba

Comment 13 Fedora Update System 2021-09-08 15:18:44 UTC
FEDORA-2021-d7fcef98b8 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d7fcef98b8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d7fcef98b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-09-08 15:44:48 UTC
FEDORA-2021-cf81a5c8ba has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cf81a5c8ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cf81a5c8ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-09-15 18:19:59 UTC
FEDORA-2021-d7fcef98b8 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-09-15 18:20:10 UTC
FEDORA-2021-cf81a5c8ba has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.